~={yellow}Свойство:=~
- Один пишет, многие читают.
https://sqlitestudio.pl/
https://sqlitebrowser.org

~={yellow}Типы:=~
- NULL - значение NULL
- INTEGER - целочисленный тип (занимает от 1 до 8 байт)
- REAL - вещественный тип (8 байт в формате IEEE)
- TEXT - строковый тип (в кодировке данных базы, обычно UTF-8)
- BLOB (двоичные данные, хранятся "как есть", например, для небольших изображений)

~={yellow}Команды=~
- INSERT - добавление записи в таблицу
- SELECT - выборка данных из таблиц (в том числе и при создании свободной выборки из нескольких таблиц)
```sql
INSERT INTO <table_name> (<column_name1>,<column_name2>, ...) VALUES (<value1>, <value2>, ...) 

INSERT INTO <table_name> VALUES (<value1>, <value2>, ...)


SELECT col1, col2, ... FROM <table_name>
SELECT name, old, score FROM users
SELECT * FROM users

# По критерию
SELECT col1, col2, ... FROM <table_name> WHERE <условие>
```

~={yellow}Операторы=~
```sql
= или ==, >, <, >=, <=, !=, BETWEEN

SELECT * FROM users WHERE score BETWEEN 500 AND 1000

SELECT * FROM users WHERE score == 200
```

~={yellow}Условия=~
```sql
AND - условное И
OR условное ИЛИ
NOT - условное НЕ
IN - вхождение во множество значений
NOT IN - не вхождение во множество значений

SELECT * FROM users WHERE old > 20 AND score < 1000

SELECT * FROM users WHERE old IN(19, 32) AND score < 1000

SELECT * FROM users WHERE old IN(19, 32) AND score <= 1000 OR sex = 1 ORDER BY old DESC


```
~={yellow}Сортировка и ограничения (это все в SELECT)=~
```sql
# Если указать после запроса, то будет сортировка по убыванию
ORDER BY old DESC 

# Если указать после запроса, то будет сортировка по возрастанию
ORDER BY old ASC

# Вывести только N записей
LIMIT 2

# Вывести только 2 записи, но пропустить первые 5
LIMIT 2 OFFSET 5

# Тоже самое
LIMIT 5, 2

```